#include <iostream>
#include <cmath>

using namespace std;

int main() {
    int m, n, k;
    cin >> m >> n >> k;
    if ((m * n) % (k * k) == 0) {
        cout << (m * n) / (k * k);
    }
    else {
        cout << (m * n) / (k * k) + 1;
    }
}